/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "GRASS GIS 8 Programmer's Manual", "index.html", [
    [ "GRASS Array Statistics Library", "arraystatslib.html", [
      [ "The discont algorithm", "arraystatslib.html#discont", null ],
      [ "List of functions", "arraystatslib.html#listOfFunctions", null ],
      [ "Authors", "arraystatslib.html#arraystatslibAuthors", null ]
    ] ],
    [ "btree2 library", "btree2.html", [
      [ "Red-Black tree", "btree2.html#autotoc_md0", [
        [ "Include and linking", "btree2.html#autotoc_md1", null ],
        [ "Example", "btree2.html#autotoc_md2", null ]
      ] ],
      [ "k-d tree", "btree2.html#autotoc_md3", [
        [ "Description", "btree2.html#autotoc_md4", null ],
        [ "Include and linking", "btree2.html#autotoc_md5", null ],
        [ "Example", "btree2.html#autotoc_md6", null ],
        [ "Example usages", "btree2.html#autotoc_md7", null ]
      ] ],
      [ "See also", "btree2.html#autotoc_md8", null ]
    ] ],
    [ "GRASS Cairo Display Driver", "cairodriver.html", [
      [ "Introduction to Cairo display driver", "cairodriver.html#cairointro", null ],
      [ "List of functions", "cairodriver.html#cairofunctions", null ]
    ] ],
    [ "GRASS testing normality & exponentiality Library", "cdhclib.html", [
      [ "GRASS library for testing normality & exponentiality", "cdhclib.html#cdhcintro", null ],
      [ "Loading the CDHC Library", "cdhclib.html#Loading_the_CDHC_Library", null ]
    ] ],
    [ "GRASS Cluster analysis statistics Library", "clusterlib.html", [
      [ "Introduction", "clusterlib.html#clusterintro", null ],
      [ "Cluster structure", "clusterlib.html#ClusterStruct", null ],
      [ "List of functions", "clusterlib.html#listFn", null ]
    ] ],
    [ "CCMATH mathematics library source code", "ccmathlib.html", [
      [ "Introduction to ccmath library", "ccmathlib.html#ccmathintro", null ],
      [ "List of functions", "ccmathlib.html#ccmathfunctions", null ]
    ] ],
    [ "GRASS GIS General Library (aka GIS Library)", "gislib.html", [
      [ "Introduction", "gislib.html#gislibintro", [
        [ "Library Initialization", "gislib.html#init", null ],
        [ "Diagnostic Messages", "gislib.html#diag", null ],
        [ "Environment and Database Information", "gislib.html#envir", null ]
      ] ],
      [ "Fundamental Database Access Routines", "gislib.html#dbaseaccess", [
        [ "Fully Qualified File Names", "gislib.html#Fully_Qualified_File_Names", null ],
        [ "Finding Files in the Database", "gislib.html#finding", null ],
        [ "Legal File Names", "gislib.html#Legal_File_Names", null ],
        [ "Opening an Existing Database File for Reading", "gislib.html#Opening_an_Existing_Database_File_for_Reading", null ],
        [ "Opening an Existing Database File for Update", "gislib.html#Opening_an_Existing_Database_File_for_Update", null ],
        [ "Creating and Opening a New Database File", "gislib.html#Creating_and_Opening_a_New_Database_File", null ],
        [ "Database File Management", "gislib.html#Database_File_Management", null ]
      ] ],
      [ "Region", "gislib.html#Region", [
        [ "Database Region", "gislib.html#Database_Region", null ],
        [ "Active Module Region", "gislib.html#Active_Module_Region", null ]
      ] ],
      [ "Projection Information", "gislib.html#Projection_Information", [
        [ "Latitude-Longitude GIS Databases", "gislib.html#Latitude_Longitude_Databases", null ],
        [ "Coordinates", "gislib.html#Coordinates", null ],
        [ "Global Wraparound", "gislib.html#Global_Wraparound", null ],
        [ "Miscellaneous", "gislib.html#Miscellaneous", null ]
      ] ],
      [ "Calculations", "gislib.html#Calculations", [
        [ "Raster Area Calculations", "gislib.html#Raster_Area_Calculations", null ],
        [ "Polygonal Area Calculations", "gislib.html#Polygonal_Area_Calculations", null ],
        [ "Distance Calculations", "gislib.html#Distance_Calculations", null ]
      ] ],
      [ "General Plotting Routines", "gislib.html#General_Plotting_Routines", null ],
      [ "Temporary Files", "gislib.html#Temporary_Files", null ],
      [ "String Manipulation Functions", "gislib.html#String_Manipulation_Functions", null ],
      [ "Enhanced UNIX Routines", "gislib.html#Enhanced_UNIX_Routines", [
        [ "Running in the Background", "gislib.html#Running_in_the_Background", null ],
        [ "Partially Interruptible System Call", "gislib.html#Partially_Interruptible_System_Call", null ],
        [ "ENDIAN test", "gislib.html#ENDIAN_test", null ]
      ] ],
      [ "GIS Library Data Structures", "gislib.html#GIS_Library_Data_Structures", [
        [ "struct Cell_head", "gislib.html#struct_Cell_head", null ],
        [ "struct Categories", "gislib.html#struct_Categories", null ],
        [ "struct Colors", "gislib.html#struct_Colors", null ],
        [ "struct History", "gislib.html#struct_History", null ],
        [ "struct Range", "gislib.html#struct_Range", null ]
      ] ],
      [ "Loading the GIS Library", "gislib.html#Loading_the_GIS_Library", null ],
      [ "Timestamp functions", "gislib.html#TimeStamp_functions", null ],
      [ "Memory Allocation", "gislib.html#Memory_Allocation", null ],
      [ "Command Line Parsing", "gislib_cmdline_parsing.html", [
        [ "Introduction", "gislib_cmdline_parsing.html#gislibcmd_Introduction", null ],
        [ "Description", "gislib_cmdline_parsing.html#gislibcmd_Description", null ],
        [ "Parser interface", "gislib_cmdline_parsing.html#Parser_Interface", [
          [ "Option structure", "gislib_cmdline_parsing.html#Option_structure", null ],
          [ "Flag structure", "gislib_cmdline_parsing.html#Flag_structure", null ],
          [ "Running Parser", "gislib_cmdline_parsing.html#Running_Parser", null ],
          [ "Additional checks of command line parameters", "gislib_cmdline_parsing.html#Parser_Additional_checks", null ],
          [ "Multiple answer default values", "gislib_cmdline_parsing.html#Parser_Displaying_multiple_answers", null ],
          [ "Disabling interactive mode", "gislib_cmdline_parsing.html#Parser_Disabling_interactive", null ]
        ] ],
        [ "Parser Programming Examples", "gislib_cmdline_parsing.html#Parser_Programming_Examples", [
          [ "Step by Step Use of the Parser", "gislib_cmdline_parsing.html#Step_by_Step_Use_of_the_Parser", [
            [ "Allocate memory for Flags and Options", "gislib_cmdline_parsing.html#gislib_cmdline_Allocate", null ],
            [ "Define members of Flag and Option structures", "gislib_cmdline_parsing.html#gislib_cmdline_Define", null ],
            [ "Call the parser", "gislib_cmdline_parsing.html#gislib_cmdline_Call", null ],
            [ "Extracting information from the parser structures", "gislib_cmdline_parsing.html#gislib_cmdline_Extracting", null ],
            [ "Running the example program", "gislib_cmdline_parsing.html#gislib_cmdline_Running", null ]
          ] ],
          [ "Full Module Example", "gislib_cmdline_parsing.html#gislibcmd_Full_Module_Example", null ]
        ] ],
        [ "Complete Structure Members Table", "gislib_cmdline_parsing.html#Complete_Structure_Members_Table", [
          [ "struct Flag", "gislib_cmdline_parsing.html#memtabFlag", null ],
          [ "struct Option", "gislib_cmdline_parsing.html#memtabOption", null ]
        ] ],
        [ "Description of Complex Structure Members", "gislib_cmdline_parsing.html#Description_of_Complex_Structure_Members", [
          [ "Answer member of the Flag and Option structures", "gislib_cmdline_parsing.html#Answer_member_of_the_Flag_and_Option_structures", null ],
          [ "Multiple and Answers Members", "gislib_cmdline_parsing.html#Multiple_and_Answers_Members", null ],
          [ "key_desc Member", "gislib_cmdline_parsing.html#key_desc_Member", null ],
          [ "gisprompt Member", "gislib_cmdline_parsing.html#gisprompt_Member", null ]
        ] ],
        [ "Standard options and flags", "gislib_cmdline_parsing.html#gislibcmd_Standard_options", null ],
        [ "Command line parsing FAQ", "gislib_cmdline_parsing.html#gislibcmd_FAQ", null ]
      ] ]
    ] ],
    [ "GRASS Numerical math interface", "gmathlib.html", [
      [ "The GRASS numerical math interface", "gmathlib.html#gmathintro", [
        [ "Memory allocation functions", "gmathlib.html#memalloc", null ],
        [ "Common mathematical functions", "gmathlib.html#commonmath", null ],
        [ "Blas like level 1,2 and 3 functions", "gmathlib.html#gmathblas", [
          [ "Level 1 vector - vector GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_1", null ],
          [ "Level 2 matrix - vector GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_2", null ],
          [ "Blas level 3 matrix - matrix GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_3", null ]
        ] ],
        [ "Ccmath library function wrapper", "gmathlib.html#gmathccmath", null ],
        [ "Linear equation solver", "gmathlib.html#gmathsolver", null ],
        [ "Optional support of LAPACK/BLAS", "gmathlib.html#gmathlapack", [
          [ "Implementation", "gmathlib.html#Implementation", null ],
          [ "matrix -matrix functions", "gmathlib.html#matrix_matrix_functions", null ]
        ] ]
      ] ],
      [ "Matrix-Vector functions", "gmathlib.html#matrix_Vector_functions", null ],
      [ "Vector-Vector functions", "gmathlib.html#Vector_Vector_functions", null ],
      [ "Notes", "gmathlib.html#Notes", null ],
      [ "Example", "gmathlib.html#Example", null ]
    ] ],
    [ "GRASS Partial differential equations Library (GPDE)", "gpdelib.html", [
      [ "The Creation of a lineare equation systems", "gpdelib.html#PDE", [
        [ "Raster maps", "gpdelib.html#rastermaps", [
          [ "Higher level array functions", "gpdelib.html#highlevel", null ]
        ] ],
        [ "Volume maps", "gpdelib.html#g3dmaps", null ],
        [ "Entries in the linear equation system", "gpdelib.html#les", null ]
      ] ],
      [ "Available solvers", "gpdelib.html#solvers", [
        [ "Direct solvers", "gpdelib.html#direct_solvers", null ],
        [ "Iterative solvers", "gpdelib.html#iterative_solvers", null ]
      ] ],
      [ "Implemented PDE's", "gpdelib.html#available_pdes", null ],
      [ "Handling geometrical data", "gpdelib.html#geom_data", null ],
      [ "Mathematical tools", "gpdelib.html#mathtools", null ],
      [ "Calculating and managing gradient and vector field data", "gpdelib.html#gradient", null ]
    ] ],
    [ "GRASS Data Elements Manage Library", "managelib.html", [
      [ "Introduction", "managelib.html#manageintro", null ]
    ] ],
    [ "GRASS Nviz Library", "nvizlib.html", [
      [ "Introduction to Nviz Library", "nvizlib.html#nvizintro", null ],
      [ "Functions", "nvizlib.html#Functions", [
        [ "Initialization", "nvizlib.html#nvizInit", null ],
        [ "Viewport settings", "nvizlib.html#NvizViewport", null ],
        [ "Draw map objects", "nvizlib.html#nvizDraw", null ],
        [ "Map objects manipulation", "nvizlib.html#nvizMapObj", null ],
        [ "Lights settings", "nvizlib.html#nvizLights", null ],
        [ "Clip planes manipulation", "nvizlib.html#nvizCplanes", null ],
        [ "Off-screen rendering", "nvizlib.html#nvizRender", null ]
      ] ],
      [ "Authors", "nvizlib.html#authors", null ]
    ] ],
    [ "GRASS GIS OGSF Library", "ogsflib.html", [
      [ "OGSF Library for OpenGL programming", "ogsflib.html#ogsfintro", [
        [ "Naming Conventions", "ogsflib.html#ogsfNames", null ]
      ] ],
      [ "Major todos", "ogsflib.html#ogsfTodo", null ],
      [ "Public function prototypes", "ogsflib.html#ogsfPublic", [
        [ "Initialization and positioning surfaces (GS)", "ogsflib.html#ogsfGs", null ],
        [ "Loading and manipulation of vector maps (GV)", "ogsflib.html#ogsfGv", null ],
        [ "Loading and manipulation of vector point maps (GP)", "ogsflib.html#ogsfGp", null ],
        [ "ogsfGk Keyframe animation", "ogsflib.html#ogsf", null ],
        [ "Loading and manipulation of volume maps (GVL)", "ogsflib.html#ogsfGvl", null ],
        [ "Loading and manipulation of isosurfaces (GVL)", "ogsflib.html#ogsfGvlIso", null ],
        [ "Loading and manipulation of slices (GVL)", "ogsflib.html#ogsfGvlSlice", null ]
      ] ]
    ] ],
    [ "GRASS GIS PNG Display Driver Library", "pngdriverlib.html", null ],
    [ "GRASS and the PROJ projection library", "projlib.html", [
      [ "GRASS GIS and the PROJ projection library", "projlib.html#projintro", [
        [ "Datum transformation", "projlib.html#datum_transformation", null ],
        [ "Makefile Example", "projlib.html#Makefile_Example", null ]
      ] ]
    ] ],
    [ "GRASS Postscript Display Driver Library", "psdriverlib.html", null ],
    [ "GRASS Row Input/Output Library", "rowiolib.html", null ],
    [ "GRASS Library for interpolation with regularized splines with tension", "rstlib.html", [
      [ "Including and linking", "rstlib.html#autotoc_md22", null ],
      [ "Main functions and structures", "rstlib.html#autotoc_md23", null ],
      [ "Example usages", "rstlib.html#autotoc_md24", null ],
      [ "References", "rstlib.html#autotoc_md25", null ]
    ] ],
    [ "GRASS Segment Library", "segmentlib.html", [
      [ "Introduction", "segmentlib.html#segmentintro", null ],
      [ "Segment Routines", "segmentlib.html#Segment_Routines", null ],
      [ "How to Use the Library Routines", "segmentlib.html#How_to_Use_the_Library_Routines", null ],
      [ "Segment Library Performance", "segmentlib.html#Segment_Library_Performance", null ],
      [ "Loading the Segment Library", "segmentlib.html#Loading_the_Segment_Library", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Bug List", "bug.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"ATLAS__wrapper__blas__level__1_8c.html",
"address_8c.html#a9f276c69095133a97c37e6e8add24cfe",
"c__merge_8c.html",
"ccmath_8h.html#a8904b20cc0c462916973808eaef39179",
"cplanes__obj_8c.html#a6ed8af228b7b9134f35c8b55adf89d9f",
"driver_2init_8c.html#a0e75765c5553b15fae36cd29db9a5eb4",
"functions_k.html",
"gk2_8c.html#a3a9daeb05a8642f6843b0957641a6c44",
"gs2_8c.html#a5fe9eb2bda620bc190fd231cf25ce611",
"gsd__img__tif_8c_source.html",
"gv2_8c.html#a6dff0f72b1b743c38b81144d728730bc",
"hevmax_8c.html#a7504a1b54047080c8a824b0454a145d2",
"la_8c.html#af51cd329c2a14970219c94cd75b1b2fb",
"lz4_8c.html#abd6e1d7970097a25e9ceadcfec049a2e",
"mkstemp_8c_source.html",
"nviz_8c.html#a8fd51376de3b25838eaeb1157d882135",
"parson_8c.html#a8dbc1a82a4ec68592d3654543505244e",
"pngdriver_2box_8c.html",
"psinv_8c_source.html",
"segment_2open_8c.html#ae24d2e794c66c0512b67d7cea8b2ba9a",
"solvers__direct__cholesky__band_8c.html#aa6517c58fe2e6c8fcc1ab69f2f050569",
"structN__gradient__field__3d.html#ac690b4e993e643c28bdd2e9335ce7f66",
"structdriver.html#a9ccfa80d3cba665652ac87c7f75737d6",
"svdval_8c.html#abcbfb5881d70423ede05c86c953c6a53",
"wind__in_8c_source.html",
"zones_8c.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';